require 'oj'
require 'httparty'
require_relative "./response.rb"

module Seedu
  class Card
    class Request

      def self.send(uri, body)
        Response.new(HTTParty.post(uri, {body: Oj.dump(body, {mode: :compat}), headers: {'Content-Type' => 'application/json', 'API-Version' => API_VERSION}}))
      end

    end
  end
end
