module Seedu
  module Action
    class Link

      attr_accessor :title, :url, :icon

      def initialize(details)
        @title = details[:title]
        @url = details[:url]
        @icon = details[:icon]
      end

      def as_json
        {
          title: @title,
          url: @url,
          icon: @icon
        }
      end

      def to_json
        as_json.to_json
      end

    end
  end
end
